# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [3.0.3] - 06/12/2023

- Updated `paragraphs` to version `^1.16`.

## [3.0.2] - 26/08/2023
- drupal_get_path() and drupal_get_filename() have been deprecated in favor of extension listing services https://www.drupal.org/node/2940438 replaced all occurrences

## [3.0.1] - 13/02/2023

- Updated `paragraphs` to version `^1.15`.

## [3.0.0] - 16/08/2022

- Refactored per phpstan, phpmd, and php_codesniffer scans.
- Bumped all sub-modules to version 2.0 in preparation for Drupal 10 and PHP 8.1.

## [2.2.4] - 25/11/2021

- Add `core_version_requirement: ^9 || ^10` and remove `core: 8.x` from composer.

## [2.2.3] - 08/02/2021

- Add core: 8.x to fix enabling issue

## [2.2.2] - 21/01/2021

- Update module to be compatible with Drupal 9

## [2.2.1] - 07/12/2020

- Add composer.json file

## [2.2.0] - 09/03/2020

- Implemented Show/Hide section functionality in section paragraph type
- Fixed H5P paragraph inheriting styles incorrectly

## [2.1.1] - 21/06/2019

- Fixed issue of getFieldStorageDefinition() [credits to @eduardoa]

## [2.1.0] - 26/02/2019

- Added Interactive Component paragraph type
- Removed dependencies from translation module
